Bug 663983 - Review Request: rubygem-boxgrinder-build-ec2-platform-plugin - BoxGrinder plugin to convert appliances to EC2 format
Summary: Review Request: rubygem-boxgrinder-build-ec2-platform-plugin - BoxGrinder plu...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 664111 664113
TreeView+ depends on / blocked
 
Reported: 2010-12-17 16:02 UTC by Marek Goldmann
Modified: 2011-01-25 14:09 UTC (History)
3 users (show)

Fixed In Version: rubygem-boxgrinder-core-0.1.5-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 19:59:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2010-12-17 16:02:59 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-ec2-platform-plugin.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/boxgrinder/rubygem-boxgrinder-build-ec2-platform-plugin-0.0.7-1.fc15.src.rpm
Description:

BoxGrinder Build Elastic Compute Cloud (EC2) Platform Plugin to convert appliances to EC2 format

Comment 1 Mamoru TASAKA 2010-12-17 18:56:44 UTC
Doesn't build due to missing BR:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2673785

By the way I would appreciate it if you would review my
review request (bug 639638)

Comment 2 Marek Goldmann 2010-12-18 09:57:06 UTC
You're fast :) It now builds in Rawhide, see http://koji.fedoraproject.org/koji/taskinfo?taskID=2674464

Ah sorry, I forgot to review your request will do this over the weekend!

Comment 3 Mamoru TASAKA 2010-12-18 18:47:43 UTC
Well, it seems that "boxgrinder-build-ec2-platform-plugin" cannot
be loaded:

# irb
irb(main):001:0> require "rubygems"
=> true
irb(main):002:0> require "boxgrinder-build-ec2-platform-plugin"
NoMethodError: undefined method `plugin' for main:Object
        from /usr/lib/ruby/gems/1.8/gems/boxgrinder-build-ec2-platform-plugin-0.0.7/lib/boxgrinder-build-ec2-platform-plugin.rb:21
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
        from (irb):2
irb(main):003:0> quit

Would you tell me if this is expected?

Comment 4 Marek Goldmann 2010-12-18 20:33:18 UTC
I would say partially. boxgrinder-build-ec2-platform-plugin.rb file should contain:

require 'boxgrinder-build/managers/plugin-manager'

On the other hand this plugin will be not used directly, like you tested it. Instead it'll be initialized by this plugin manager so it'll not break. I added it now to upstream git repo. It'll be pushed with next version - 0.0.8. IMHO it's not a blocker for this package, WDYT?

P.S. You'll see same behavior for there submitted review requests (s3 plugin - bug 664111, ebs plugin - bug 664113). Both also fixed in upstream git repo.

Thanks!

Comment 5 Mamoru TASAKA 2010-12-18 22:15:17 UTC
Okay.

---------------------------------------------------------------------
    This package (rubygem-boxgrinder-build-ec2-platform-plugin)
    is APPROVED by mtasaka
---------------------------------------------------------------------

Comment 6 Marek Goldmann 2010-12-19 08:23:09 UTC
Thank you!

New Package SCM Request
=======================
Package Name:      rubygem-boxgrinder-build-ec2-platform-plugin
Short Description: BoxGrinder plugin to convert appliances to EC2 format
Owners:            goldmann
Branches:          f13 f14

Comment 7 Kevin Fenzi 2010-12-21 06:25:15 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2010-12-21 17:13:43 UTC
rubygem-boxgrinder-core-0.1.5-1.fc14,rubygem-boxgrinder-build-0.7.0-1.fc14,rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.9-1.fc14,rubygem-boxgrinder-build-local-delivery-plugin-0.0.6-1.fc14,rubygem-boxgrinder-build-vmware-platform-plugin-0.0.6-1.fc14,rubygem-boxgrinder-build-ec2-platform-plugin-0.0.7-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-boxgrinder-core-0.1.5-1.fc14,rubygem-boxgrinder-build-0.7.0-1.fc14,rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.9-1.fc14,rubygem-boxgrinder-build-local-delivery-plugin-0.0.6-1.fc14,rubygem-boxgrinder-build-vmware-platform-plugin-0.0.6-1.fc14,rubygem-boxgrinder-build-ec2-platform-plugin-0.0.7-1.fc14

Comment 9 Fedora Update System 2010-12-21 17:13:52 UTC
rubygem-boxgrinder-core-0.1.5-1.fc13,rubygem-boxgrinder-build-0.7.0-1.fc13,rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.9-1.fc13,rubygem-boxgrinder-build-local-delivery-plugin-0.0.6-1.fc13,rubygem-boxgrinder-build-vmware-platform-plugin-0.0.6-1.fc13,rubygem-boxgrinder-build-ec2-platform-plugin-0.0.7-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-boxgrinder-core-0.1.5-1.fc13,rubygem-boxgrinder-build-0.7.0-1.fc13,rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.9-1.fc13,rubygem-boxgrinder-build-local-delivery-plugin-0.0.6-1.fc13,rubygem-boxgrinder-build-vmware-platform-plugin-0.0.6-1.fc13,rubygem-boxgrinder-build-ec2-platform-plugin-0.0.7-1.fc13

Comment 10 Fedora Update System 2010-12-22 00:04:46 UTC
rubygem-boxgrinder-core-0.1.5-1.fc13, rubygem-boxgrinder-build-0.7.0-1.fc13, rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.9-1.fc13, rubygem-boxgrinder-build-local-delivery-plugin-0.0.6-1.fc13, rubygem-boxgrinder-build-vmware-platform-plugin-0.0.6-1.fc13, rubygem-boxgrinder-build-ec2-platform-plugin-0.0.7-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-boxgrinder-core rubygem-boxgrinder-build rubygem-boxgrinder-build-rpm-based-os-plugin rubygem-boxgrinder-build-local-delivery-plugin rubygem-boxgrinder-build-vmware-platform-plugin rubygem-boxgrinder-build-ec2-platform-plugin'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-boxgrinder-core-0.1.5-1.fc13,rubygem-boxgrinder-build-0.7.0-1.fc13,rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.9-1.fc13,rubygem-boxgrinder-build-local-delivery-plugin-0.0.6-1.fc13,rubygem-boxgrinder-build-vmware-platform-plugin-0.0.6-1.fc13,rubygem-boxgrinder-build-ec2-platform-plugin-0.0.7-1.fc13

Comment 11 Mamoru TASAKA 2010-12-22 19:59:36 UTC
Closing.

Comment 12 Fedora Update System 2010-12-29 21:51:02 UTC
rubygem-boxgrinder-core-0.1.5-1.fc13, rubygem-boxgrinder-build-0.7.0-1.fc13, rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.9-1.fc13, rubygem-boxgrinder-build-local-delivery-plugin-0.0.6-1.fc13, rubygem-boxgrinder-build-vmware-platform-plugin-0.0.6-1.fc13, rubygem-boxgrinder-build-ec2-platform-plugin-0.0.7-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-12-29 21:53:08 UTC
rubygem-boxgrinder-core-0.1.5-1.fc14, rubygem-boxgrinder-build-0.7.0-1.fc14, rubygem-boxgrinder-build-rpm-based-os-plugin-0.0.9-1.fc14, rubygem-boxgrinder-build-local-delivery-plugin-0.0.6-1.fc14, rubygem-boxgrinder-build-vmware-platform-plugin-0.0.6-1.fc14, rubygem-boxgrinder-build-ec2-platform-plugin-0.0.7-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Marek Goldmann 2011-01-25 08:06:04 UTC
Package Change Request
======================
Package Name: rubygem-boxgrinder-build-ec2-platform-plugin
New Branches: el5 el6
Owners: goldmann

Comment 15 Jason Tibbitts 2011-01-25 14:09:41 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.